package domain


type AlibabaRetailMarketingItempoolActivityCreateLimitDto struct {
    /*
        每单限购     */
    OrderLimitCnt  *int64 `json:"order_limit_cnt,omitempty" `

    /*
        每日总限购     */
    DailyTotalLimitCnt  *int64 `json:"daily_total_limit_cnt,omitempty" `

    /*
        总限购     */
    TotalLimitCnt  *int64 `json:"total_limit_cnt,omitempty" `

    /*
        每人总限购     */
    UserTotalLimitCnt  *int64 `json:"user_total_limit_cnt,omitempty" `

    /*
        每人每日总限购     */
    UserDailyLimitCnt  *int64 `json:"user_daily_limit_cnt,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityCreateLimitDto) SetOrderLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivityCreateLimitDto {
    s.OrderLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateLimitDto) SetDailyTotalLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivityCreateLimitDto {
    s.DailyTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateLimitDto) SetTotalLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivityCreateLimitDto {
    s.TotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateLimitDto) SetUserTotalLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivityCreateLimitDto {
    s.UserTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityCreateLimitDto) SetUserDailyLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivityCreateLimitDto {
    s.UserDailyLimitCnt = &v
    return s
}
